# std::normal_distribution::normal_distribution

From cppreference.com
< cpp‎ | numeric‎ | random‎ | normal distribution

explicit normal_distribution( RealType mean = 0.0, RealType stddev = 1.0 ); | (1) | (since C++11)
explicit normal_distribution( const param_type& params ); | (2) | (since C++11)

Constructs a new distribution object. The first version uses `mean` and `stddev` as the distribution parameters, the second version uses `params` as the distribution parameters.

### Parameters

mean | - | the μ distribution parameter (mean)
stddev | - | the σ distribution parameter (standard deviation)
params | - | the distribution parameter set

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/normal_distribution/normal_distribution&oldid=62901"